CenterEdge Software Blog

Important Notice for CenterEdge Users regarding Windows XP

Posted by Rick Smith on Mar 18, 2014 4:51:00 PM

If you are a CenterEdge Advantage client using Windows XP to operate your CenterEdge Advantage installation, this message contains vital information regarding your PCI compliance.

In order to remain PCI compliant, any system which handles sensitive customer data such as credit card numbers must always stay up to date with the latest security patches for their operating systems, letting no more than 30 days pass without a security update. Last Year, Microsoft announced they would stop publishing security and bugfix patches for Windows XP, with the last patch to be released on April 8th, 2014. This means that any system running XP will not receive any security updates after this time, and thus will no longer be PCI compliant as of May 7th.

Read More

Topics: announcements, CenterEdge, PCI, Credit Cards

Subscribe to Email Updates

Posts by Topic

see all
Schedule a CenterEdge Software Demo